## visad.data
Class DirectoryRepository

    java.lang.Object
      visad.data.Repository
          visad.data.DirectoryRepository

public class DirectoryRepository
extends Repository

A data object repository implemented as files in a local directory.

Nested Class Summary
`class` `DirectoryRepository.Enumerator` Inner class for enumerating the files in the directory.

Field Summary
`protected File` `dir` The directory.
`protected String` `dirString` Unambiguous representation of directory for error messages.

Fields inherited from class visad.data.Repository
`forms`

Constructor Summary
`DirectoryRepository(String name, String location)` Construct a directory repository with support for the default forms of data.

Method Summary
`protected String` `fullName(String id)` Return the fully-qualified name of a persistent data object.
`Enumeration` `getEnumeration()` Return an enumeration of the data objects in this repository.
`static void` `main(String[] args)` Test this class.

Methods inherited from class visad.data.Repository
`add, getForms, getForms, getLocation, getName, open, open, save, save`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dir

    protected File dir

  The directory. Effectively "final" if the constructor succeeds.

### dirString

    protected String dirString

  Unambiguous representation of directory for error messages. Effectively "final" if the constructor succeeds.

Constructor Detail

### DirectoryRepository

    public DirectoryRepository(String name,
                               String location)
                        throws BadRepositoryException,
                               IOException

  Construct a directory repository with support for the default forms of data.

Method Detail

### getEnumeration

    public Enumeration getEnumeration()
                               throws BadRepositoryException,
                                      SecurityException

  Return an enumeration of the data objects in this repository.

  Specified by:
    `getEnumeration` in class `Repository`
  Throws:
    `BadRepositoryException`
    `SecurityException`

### fullName

    protected String fullName(String id)

  Return the fully-qualified name of a persistent data object.

  Specified by:
    `fullName` in class `Repository`

### main

    public static void main(String[] args)
                     throws BadRepositoryException,
                            IOException

  Test this class.

  Throws:
    `BadRepositoryException`
    `IOException`